Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 38171 - xmms-musepack-0.94-r1 plugin opens tens of windows trying to play an mpc song under xmms
Summary: xmms-musepack-0.94-r1 plugin opens tens of windows trying to play an mpc song...
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Jeremy Huddleston (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-14 07:09 UTC by Enrico Morelli
Modified: 2004-02-15 16:44 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enrico Morelli 2004-01-14 07:09:27 UTC
xmms-musepack-0.94-r1 plugin opens tens of windows trying to play an
mpc song using xmms 1.2.7 and 1.2.8 and the X freeze.

Reproducible: Always
Steps to Reproduce:
1.emerge xmms-musepack
2.open xmms and try to play an mpc song
3.

Actual Results:  
xmms enter in a loop opening continously windows where I'm unable to read
nothing. X system freeze.

Expected Results:  
Play mpc song format using xmms.

Portage 2.0.49-r20 (default-x86-1.4, gcc-3.2.3, glibc-2.3.2-r3, 2.6.1-rc1)
=================================================================
System uname: 2.6.1-rc1 i686 Intel(R) Pentium(R) 4 CPU 1.70GHz
Gentoo Base System version 1.4.3.10p1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -mcpu=i686 -funroll-loops -pipe -fomit-frame-pointer -fPIC"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/s
hare/config /usr/share/config /usr/share/texmf/tex/generic/config/ /usr/share/te
xmf/tex/platex/config/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-O3 -mcpu=i686 -funroll-loops -pipe -fomit-frame-pointer -fPIC"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ 
http.//gentoo.linux.no"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aalib acpi alsa avi berkdb cdr crypt cups dvd encode esd foomaticdb gdbm 
gif gpm gtk gtk2 imlib jpeg libg++ libwww mad mikmod mmx motif mpeg ncurses nls 
oggvorbis opengl oss pam pdflib perl png python quicktime readline sdl slang spe
ll ssl svga tcltk tcpd tetex truetype x86 xml2 xmms xv zlib video_cards_radeon"
Comment 1 Jeremy Huddleston (RETIRED) gentoo-dev 2004-01-31 21:18:00 UTC
Can you provide me with a link to an .mpc song?
Comment 2 Enrico Morelli 2004-02-02 01:23:38 UTC
You can found an .mpc song at http://www.cerm.unifi.it/song.mpc
Comment 3 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-02 01:32:38 UTC
that seems to be an unsupported format for xmms-musepack-0.94.  I get this message box when I try to play it with xmms-musepack-0.94-r1:

"Superfrae-size!=1: not supported anymore.  Please decode with command-line tool!"

Does it work for you?
Comment 4 Enrico Morelli 2004-02-02 02:10:39 UTC
I tried to use musepack to play mpc song, but I have the problem
describe in the bug.
In another system I have your error, but after this, xmms starts to open a lot of windows.
Comment 5 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-02 02:19:17 UTC
hmm... that's not happening with me... What are the windows saying?  Can you trigger this bug then goto a shell (ctr-shift-f1 for instance) and run gdb on the process... ex:

# ps x | grep xmms
12347 vc/1     S      0:00 xmms
12348 vc/1     S      0:00 xmms
12349 vc/1     S      0:00 xmms
12350 vc/1     S      0:00 xmms
12354 pts/2    S      0:00 grep xmms

# gdb attatch 12347
loading symbols and stuff
(gdb) bt
<backtrace I'd like to see>

Also, can you try less severte CFLAGS... like '-O2 -pipe'
Comment 6 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-02 02:36:11 UTC
actually... you can hold off on the gdb testing... I'm gonna test out a newer version of this package and hopefully that will solve your problem.
Comment 7 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-03 22:46:02 UTC
can you please try 0.98.  I committed it to cvs just now, and it should show up on the rsync mirrors in the next day or so...

--Jeremy
Comment 8 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-08 02:31:45 UTC
Enrico, could you please test this for me?
Comment 9 Enrico Morelli 2004-02-09 01:55:25 UTC
I tried the 0.98 version that seems to resolve the random windows open
problem. But I have the same message that you have using 0.94 version:
Superframe-size != -1: not supported any more.
Please decode with command line tool!
Comment 10 Jeremy Huddleston (RETIRED) gentoo-dev 2004-02-09 02:46:10 UTC
Ok.  I think the 'Superframe-size != -1: not supported any more. Please decode with command line tool!' message is a problem upstream... maybe the authors will fix it later, but this project seems so disorganized...

I'm marking this bug closed as the problem is corrected with the new version.
Comment 11 Kerin Millar 2004-02-15 16:44:26 UTC
I think this message: 'Superframe-size != -1: not supported any more' indicates that the file was created with an old (i.e < = 1.x) version of mppenc. Hence, it advises you to use mppdec to decode the file to WAV format, which should work. I've just entered an ebuild request for mppenc, and I'll probably submit mppdec/replaygain ones tomorrow.